Bug 21519 - Switch two-column templates to Bootstrap grid: Serials part 1
Summary: Switch two-column templates to Bootstrap grid: Serials part 1
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654 21531
  Show dependency treegraph
 
Reported: 2018-10-09 13:37 UTC by Owen Leonard
Modified: 2019-10-14 19:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1 (15.15 KB, patch)
2018-10-09 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1 (15.20 KB, patch)
2018-10-09 19:54 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1 (15.25 KB, patch)
2018-10-11 19:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-09 13:37:37 UTC
These two-column serials templates can be updated to use the Bootstrap grid.

 - serials/add_fields.tt
 - serials/checkexpiration.tt
 - serials/claims.tt
 - serials/routing-preview.tt
 - serials/routing.tt
 - serials/serials-collection.tt
 - serials/serials-edit.tt
Comment 1 Owen Leonard 2018-10-09 15:50:26 UTC
Created attachment 80290 [details] [review]
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Serials -> Add subscription fields
   - Add or edit subscription fields
 - Serials -> Check expiration
 - Serials -> Claims
 - Serials -> Subscription
   -> Serial collection
      -> Edit serials
   -> Routing list
     - Save and preview routing list
Comment 2 Michal Denar 2018-10-09 19:54:09 UTC
Created attachment 80309 [details] [review]
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Serials -> Add subscription fields
   - Add or edit subscription fields
 - Serials -> Check expiration
 - Serials -> Claims
 - Serials -> Subscription
   -> Serial collection
      -> Edit serials
   -> Routing list
     - Save and preview routing list

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2018-10-11 19:57:25 UTC
Created attachment 80420 [details] [review]
Bug 21519: Update two-column templates with Bootstrap grid: Serials part 1

This patch modifies several serials templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Serials -> Add subscription fields
   - Add or edit subscription fields
 - Serials -> Check expiration
 - Serials -> Claims
 - Serials -> Subscription
   -> Serial collection
      -> Edit serials
   -> Routing list
     - Save and preview routing list

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-19 17:39:51 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-05 17:01:53 UTC
The enhancement will not be backported to 18.05.x series.